aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEd Maste <emaste@FreeBSD.org>2016-11-01 14:50:32 +0000
committerEd Maste <emaste@FreeBSD.org>2016-11-01 14:50:32 +0000
commit52c32434240f8aecc7586bd04ecf77ccb85d5d4f (patch)
tree34517dcf6bf5b0ad170d0c9e3ac8dfe62943a409
parent77bc2a1cd6c3253ca560bcef27445462e55e9794 (diff)
downloadsrc-52c32434240f8aecc7586bd04ecf77ccb85d5d4f.tar.gz
src-52c32434240f8aecc7586bd04ecf77ccb85d5d4f.zip
arm64 make-memstick.sh: use 'set -e' to abort if any step fails
Also remove the now-redundant error handling that was only for makefs. This script was run on an older FreeBSD host that lacked efi-on-mbr support in makefs. A warning was emitted on the console (from makefs) but the script continued running and exited with 0. Reviewed by: gjb Sponsored by: The FreeBSD Foundation
Notes
Notes: svn path=/head/; revision=308171
-rwxr-xr-xrelease/arm64/make-memstick.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/release/arm64/make-memstick.sh b/release/arm64/make-memstick.sh
index d47fad0079ea..760f362a0d18 100755
--- a/release/arm64/make-memstick.sh
+++ b/release/arm64/make-memstick.sh
@@ -10,6 +10,8 @@
# $FreeBSD$
#
+set -e
+
PATH=/bin:/usr/bin:/sbin:/usr/sbin
export PATH
@@ -31,10 +33,6 @@ fi
echo '/dev/ufs/FreeBSD_Install / ufs ro,noatime 1 1' > ${1}/etc/fstab
echo 'root_rw_mount="NO"' > ${1}/etc/rc.conf.local
makefs -B little -o label=FreeBSD_Install ${2}.part ${1}
-if [ $? -ne 0 ]; then
- echo "makefs failed"
- exit 1
-fi
rm ${1}/etc/fstab
rm ${1}/etc/rc.conf.local